set clabel '%8.3g'
set grid
set style data linespoints
set xrange [0:1]
set yrange [0:10000]
set xlabel "{/Symbol a}"
set ylabel "Count of RD lower bound {/Symbol \263 a}" offset 2
set title "Adult dataset, minsupp=48"
set key inside top right
set xtics .1

cond(x,y,z) = (x == y) ? (z) : 1/0

set terminal postscript enhanced eps color "Helvetica" 25
set output "frechet_adult_dist.eps"

plot "frechet_adult_discretized_48.aggr" using (cond($1,1,$2)):($3) title "ni=1,total" with linespoint lw 6 linecolor rgb 'red',\
'' using (cond($1,1,$2)):($4) title "ni=1,exact" with linespoint lw 6 linecolor rgb 'orange',\
'' using (cond($1,5,$2)):($3) title "ni=5,total" with linespoint lw 6 linecolor rgb 'blue',\
'' using (cond($1,5,$2)):($4) title "ni=5,exact" with linespoint lw 6 linecolor rgb '#00CED1',\
'' using (cond($1,30,$2)):($3) title "ni=30,total" with linespoint lw 6 linecolor rgb '#3CB371',\
'' using (cond($1,30,$2)):($4) title "ni=30,exact" with linespoint lw 6 linecolor rgb 'green'