set clabel '%8.3g'
set grid
set style data linespoints
set xrange [0:1]
set yrange [1:10000]
set xlabel "{/Symbol a}"
set ylabel "Count of RD lower bound {/Symbol \263 a}" offset 2
set title "Sample from Adult, minsupp=48"
set key inside top right
set xtics .1

set logscale y

cond(x,y,z) = (x == y) ? (z) : 1/0

set terminal postscript enhanced eps color "Helvetica" 25
set output "ppdd_adult_dist.eps"

plot "padd_adultsample_48.aggr" using 1:2 title "PADD total" with linespoint lw 12 linecolor rgb 'red' ,\
"padd_adultsample_48.aggr" using 1:3 title "PADD exact" with linespoint lw 12 linecolor rgb 'blue'

unset logscale y
