/*    This program is free software; you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation; either version 2 of the License, or
 *    (at your option) any later version.
 *
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    along with this program; if not, write to the Free Software
 *    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 *    ------------------------------------------------------------------------
 *    Copyright (C) 2013-
 *    Salvatore Ruggieri
 *    Dipartimento di Informatica, Universita' di Pisa
 *    Pisa, Italy
 *    ------------------------------------------------------------------------
 *
 */

package rst.table;

/** Column of indexes to elements of String type. */
public class StringColumn extends TypedColumn<String> {

	/** Constructor. */
	public StringColumn(String name, int size)  {
		super(name, size);		
	}
	
	public void setString(int pos, String value) {
		set(pos, value);
	}

	public int getIdx(String value) {
		Integer ret = encode.get(value);
		if( ret == null)
			throw new RuntimeException("Column::getIdx - unknown value " + value + " on column " + name);
		return ret;	
	}
	
}
